* 0figures.do
* This do-file creates output for the figures in the paper.

version 11.2
clear
clear matrix
set more off
set mem 200m
set matsize 5000

cd "directory path where you unzipped the data, e.g., c:\my_documents\"

* Figure 1: trends in state funding of preschool, public preschool enrollment, and Head Start enrollment
do do\analysis\0figures\figure1.do

* Figure 2: scatterplot of quality checklist against % of 4 yos in state-funded preschool
do do\analysis\0figures\figure2.do

* Figure 3: trends in public, private, and overall preschool enrollment, overall and by maternal education
do do\analysis\0figures\figure3a.do
do do\analysis\0figures\figure3b.do
do do\analysis\0figures\figure3c.do

* Figure 4: event-study coefficients for public, private, and overall preschool enrollment, by maternal ed
do do\analysis\0figures\figure4a.do
do do\analysis\0figures\figure4b.do
do do\analysis\0figures\figure4c.do

* Figure 5: trends and event-study coefficients for maternal employment
do do\analysis\0figures\figure5a.do
do do\analysis\0figures\figure5b.do
do do\analysis\0figures\figure5c.do

* Figure 6: trends in NAEP scores by preschool cohort
do do\analysis\0figures\figure6.do

* Figure 7: event-study coefficients for 4th and 8th grade test scores
do do\analysis\0figures\figure7.do

