* figure1.do
* merges together the data for figure 1 
* creates figure 1

use data\octcps\octcps1968_2011-nat, clear
keep if age==4
replace enrprepub=enrprepub*100
sort year
merge year using data\headstart\hsnat1978_2011, unique
tab _merge
drop _merge

label var enrprepub "Public Preschool Enrollment Rate (left axis)"
label var hsenr "Head Start Enrollment Rate (left axis)"

sort year
merge year using data\nieer\nieer_dates_cdf, unique
label var frac "Percent of States Funding Preschool (right axis)"
sort year

graph two (line enrprepub year, lwidth(medthick) lcolor(green)) ///
(line hsenr year, lpat(dash) lwidth(medthick) lcolor(orange)) ///
(line frac year, yaxis(2) lpat(dash_dot) lcolor(blue)), ///
scheme(s1color) plotregion(lcolor(none)) ///
ytitle("% of 4-Year-Olds") xtitle("School Year (Fall)") xlab(1960(10)2010) xtick(1960(10)2010) xscale(range(1960 2015)) ///
ytitle("% of States", axis(2)) ylab(0(10)50) ytick(0(10)50) ylab(0(20)100, axis(2)) ytick(0(20)100, axis(2)) ///
legend(cols(1)) legend(position(11) ring(0) region(lcolor(none)) size(medsmall)) saving(graphs/figure1, replace)

gr export graphs/figure1.emf, as(emf) replace

