* figure3a.do
* public preschool enrollment rates by maternal education

use data\octcps\octcps1968_2011-nat-momcoll, clear

forval i=0/1 {
	gen enrprepubm`i'=enrprepub*100 if momcol==`i'
	}
label var enrprepubm0 "HS Degree or Less"
label var enrprepubm1 "Some College or More"

drop enrprepub 

sort year age
merge year age using data\octcps\octcps1968_2011-nat, uniqusing sort
replace enrprepub=enrprepub*100
label var enrprepub "All 4 Year Olds"
keep if age==4

gr two (line enrprepubm0 year if momcoll==0, lwidth(medium)) ///
(line enrprepubm1 year if momcoll==1, lpat(dash) lwidth(medium)) ///
(line enrprepub year if momcoll==0, lpat(solid) lcolor(black) lwidth(medthick)), ///
scheme(s1color) plotregion(lcolor(none)) /* xscale(range(1965 2020)) xlab(1970(10)2010) xtick(1970(10)2010) */ ///
yscale(range(0 100)) ylab(0(20)100, labsize(large)) ytick(0(20)100) xlab(1970(10)2010, labsize(large)) legend(textfirst cols(1)) legend(position(11) ring(0) region(lcolor(none)) size(medlarge)) ///
ytitle("Percent", size(large)) xtitle("School Year (Fall)", size(large)) saving(graphs\figure3a, replace)

gr export graphs\figure3a.emf, as(emf) replace





