* figure3b.do
* private preschool enrollment rates by maternal education

use data\octcps\octcps1968_2011-nat-momcoll, clear

gen enrprepriv=enrpre-enrprepub

forval i=0/1 {
	gen enrpreprivm`i'=enrprepriv*100 if momcoll==`i'
	}
label var enrpreprivm0 "HS Degree or Less"
label var enrpreprivm1 "Some College or More"

drop enrprepriv enrpre enrprepub

sort year age
merge year age using data\octcps\octcps1968_2011-nat, uniqusing sort
gen enrprepriv=(enrpre-enrprepub)*100
label var enrprepriv "All 4 Year Olds"
keep if age==4

gr two (line enrpreprivm0 year if momcoll==0, lwidth(medium)) ///
(line enrpreprivm1 year if momcoll==1, lpat(dash) lwidth(medium)) ///
(line enrprepriv year if momcoll==0, lpat(solid) lcolor(black) lwidth(medthick)), ///
scheme(s1color) plotregion(lcolor(none)) /* xscale(range(1965 2020)) xlab(1970(10)2010) xtick(1970(10)2010) */ ///
yscale(range(0 100)) ylab(0(20)100, labsize(large)) ytick(0(20)100) xlab(1970(10)2010, labsize(large)) legend(textfirst cols(1)) legend(position(11) ring(0) region(lcolor(none)) size(medlarge)) ///
ytitle("Percent", size(large)) xtitle("School Year (Fall)", size(large)) saving(graphs\figure3b, replace)

gr export graphs\figure3b.emf, as(emf) replace





