* figure3c.do
* overall preschool enrollment rates by maternal education

use data\octcps\octcps1968_2011-nat-momcoll, clear

forval i=0/1 {
	gen enrprem`i'=enrpre*100 if momcoll==`i'
	}
label var enrprem0 "HS Degree or Less"
label var enrprem1 "Some College or More"

drop enrpre 

sort year age
merge year age using data\octcps\octcps1968_2011-nat, uniqusing sort
keep if age==4
replace enrpre=enrpre*100
label var enrpre "All 4 Year Olds"

gr two (line enrprem0 year if momcoll==0, lwidth(medium)) ///
(line enrprem1 year if momcoll==1, lpat(dash) lwidth(medium)) ///
(line enrpre year if momcoll==0, lpat(solid) lcolor(black) lwidth(medthick)), ///
scheme(s1color) plotregion(lcolor(none)) /* xscale(range(1965 2020)) xlab(1970(10)2010) xtick(1970(10)2010) */ ///
yscale(range(0 100)) ylab(0(20)100, labsize(large)) ytick(0(20)100) xlab(1970(10)2010, labsize(large)) legend(textfirst cols(1)) legend(position(11) ring(0) region(lcolor(none)) size(medlarge)) ///
ytitle("Percent", size(large)) xtitle("School Year (Fall)", size(large)) saving(graphs\figure3c, replace)

gr export graphs\figure3c.emf, as(emf) replace





