* figure4b.do
* event study of private preschool enrollment rates by maternal education

foreach var in enrprepriv {
	foreach m in 0 1 {
		use data\octcps\octcps1977_2011-st-momcoll, clear
		keep if age==4

		gen clustervar=statefip
		gen cvdf=50
		gen enrprepriv=(enrpre-enrprepub)*100
		
		qui reg `var' normyrl11-normyrp13 i.year i.statefip [aw=nobs] if momcoll==`m', cluster(clustervar)
		cap drop coef* se* lower* upper*
		gen coef=0
		gen se=. 
		gen lower=.
		gen upper=.

		foreach yr in 11 8 5 {
			replace coef=_b[normyrl`yr'] if normyrgrp==-`yr'
			replace se=_se[normyrl`yr'] if normyrgrp==-`yr'
			replace lower=coef-se*invttail(cvdf,.05) if normyrgrp==-`yr'
			replace upper=coef+se*invttail(cvdf,.05) if normyrgrp==-`yr'
		}

		foreach yr in 1 4 7 10 13 {
			replace coef=_b[normyrp`yr'] if normyrgrp==`yr'
			replace se=_se[normyrp`yr'] if normyrgrp==`yr'
			replace lower=coef-se*invttail(cvdf,.05) if normyrgrp==`yr'
			replace upper=coef+se*invttail(cvdf,.05) if normyrgrp==`yr'
		}

		cap drop tag	
		keep if normyear~=.
		egen tag=tag(normyear)
		keep if tag
		keep normyrgrp coef lower upper

		save temp`m', replace

	}
}

use temp0, clear
replace normyrgrp=normyrgrp-.25
save, replace

use temp1, clear
replace normyrgrp=normyrgrp+.25
foreach var in coef upper lower {
	ren `var' `var'2
	}
save, replace

use temp0
append using temp1

label var coef "HS Degree or Less"
label var coef2 "Some College or More"
label var lower "90% CI"
label var upper "90% CI"
label var lower2 "90% CI"
label var upper2 "90% CI"

erase temp0.dta
erase temp1.dta

gr two (scatter coef normyrgrp, mcolor(green) msym(O)) (rcap lower upper normyrgrp, lcolor(green) lpattern(solid) mcolor(blue)) ///
(scatter coef2 normyrgrp, mcolor(orange) msym(Oh)) (rcap lower2 upper2 normyrgrp, lcolor(orange) lpattern(dash) mcolor(blue)), yline(0, lcolor(black) lpat(dot)) ///
xtick(-11(3)13) xlab(-11(3)13, labsize(medium)) legend(region(lcolor(none)) size(medsmall)) scheme(s1color) plotregion(lcolor(none)) ytick(-30(10)20) ylab(-30(10)20, labsize(medium))  ///
yline(0, lcolor(black) lpat(dot)) xtitle("Year Relative to Year Universal Preschool (Midpoint of 3-Year Window)") saving(graphs/figure4b, replace)
gr export graphs/figure4b.emf, as(wmf) replace

