* figure5c.do
* event study of maternal employment by maternal education
* triple difference with moms of 5 year olds
	
foreach var in momwklw {
	foreach m in 0 1 {
		use data\octcps\octcps1977_2011-st-momcoll, clear

		gen clustervar=statefip
		gen cvdf=50
		
		replace momwklw=momwklw*100 

		gen age4=age==4
		
		foreach yr in 11 8 5 {
			gen age4_normyrl`yr'=age4*normyrl`yr'
		}

		foreach yr in 1 4 7 10 13 {
			gen age4_normyrp`yr'=age4*normyrp`yr'
		}

		keep if age>=4
		qui xi: reg `var' age4_norm* normyrl11-normyrp13 i.year*i.age4 i.statefip*i.age4 [aw=nobs] if momcoll==`m', cluster(clustervar)
		cap drop coef* se* lower* upper*
		gen coef=0
		gen se=. 
		gen lower=.
		gen upper=.

		foreach yr in 11 8 5 {
			replace coef=_b[age4_normyrl`yr'] if normyrgrp==-`yr'
			replace se=_se[age4_normyrl`yr'] if normyrgrp==-`yr'
			replace lower=coef-se*invttail(cvdf,.05) if normyrgrp==-`yr'
			replace upper=coef+se*invttail(cvdf,.05) if normyrgrp==-`yr'
		}

		foreach yr in 1 4 7 10 13 {
			replace coef=_b[age4_normyrp`yr'] if normyrgrp==`yr'
			replace se=_se[age4_normyrp`yr'] if normyrgrp==`yr'
			replace lower=coef-se*invttail(cvdf,.05) if normyrgrp==`yr'
			replace upper=coef+se*invttail(cvdf,.05) if normyrgrp==`yr'
		}

		cap drop tag	
		keep if normyear~=.
		egen tag=tag(normyear)
		keep if tag
		keep normyrgrp coef lower upper
		save temp`m', replace

	}
}

use temp0, clear
replace normyrgrp=normyrgrp-.25
save, replace

use temp1, clear
replace normyrgrp=normyrgrp+.25
foreach var in coef upper lower {
	ren `var' `var'2
	}
save, replace

use temp0
append using temp1

erase temp0.dta
erase temp1.dta

label var coef "HS Degree or Less"
label var coef2 "Some College or More"
label var lower "90% CI"
label var upper "90% CI"
label var lower2 "90% CI"
label var upper2 "90% CI"

gr two (scatter coef normyrgrp, mcolor(green) msym(O)) (rcap lower upper normyrgrp, lcolor(green) lpattern(solid) mcolor(blue)) ///
(scatter coef2 normyrgrp, mcolor(orange) lcolor(orange) msym(Oh)) (rcap lower2 upper2 normyrgrp, lcolor(orange) lpattern(dash) mcolor(blue)), yline(0, lcolor(black) lpat(dot)) ///
xtick(-11(3)13) xlab(-11(3)13, labsize(medium)) legend(/* position(11) ring(0) */ region(lcolor(none)) size(medsmall)) scheme(s1color) plotregion(lcolor(none)) ytick(-30(20)30) ylab(-30(20)30, labsize(medium)) ///
yline(0, lcolor(black) lpat(dot)) xtitle("Year Relative to Year Universal Preschool (Midpoint of 3-Year Window)") saving(graphs/figure5c, replace)
gr export graphs/figure5c.emf, as(wmf) replace

