* table1.do

*******************************************
* October CPS
* Means of preschool enr, maternal emp
* Stratification variable: maternal college
* Years: 1969-71, 1984-86, 2009-2011
*******************************************

use data\octcps\octcps1968_2011, clear
keep if age==4
keep if (year>=1969&year<=1971)|(year>=1984&year<=1986)|(year>=2009&year<=2011)

gen yeargrp=1970
replace yeargrp=1985 if year>=1984&year<=1986
replace yeargrp=2010 if year>=2009&year<=2011

gen momcoll=momeduc==3|momeduc==4
replace momcoll=. if momeduc==.

gen enrprepriv=enrpre-enrprepub

collapse (mean) enrpre enrprepub enrprepriv momwklw [pw=wtfinl], by(yeargrp momcoll)
drop if momcoll==.

sort momcoll yeargrp

foreach var of varlist enr* momwklw {
	replace `var'=`var'*100
	}
	
order momcoll yeargrp enrprepub enrprepriv enrpre momwklw

outsheet using outreg\table1.csv, comma replace



