* table5.do

*******************************************
* ATUS
* DD estimates for maternal time use
* Comparison group(s): rest of U.S./5 Year Olds
* Stratification variable: maternal college
*******************************************

use data\atus\atus-collapsed-momcoll, clear
gen clustervar=statefip
keep if age>=4

cd outreg

qui reg trtohhchild treat age4 ok_ga [aw=counter] if momcoll==0, cl(state)
outreg2 using table5.xml, replace excel title("Table 5") ctitle("mother has HS degree or less", "time spent with child present")
qui reg kidtime treat age4 ok_ga [aw=counter] if momcoll==0, cl(state)
outreg2 using table5.xml, append excel ctitle("mother has HS degree or less", "time spent caring for and/or helping child")

qui reg trtohhchild treat age4 ok_ga [aw=counter] if momcoll==1, cl(state)
outreg2 using table5.xml, append excel ctitle("mother has some college or more", "time spent with child present")
qui reg kidtime treat age4 ok_ga [aw=counter] if momcoll==1, cl(state)
outreg2 using table5.xml, append excel ctitle("mother has some college or more ", "time spent caring for and/or helping child")

* Erase text files
erase table5.txt

cd ..
