* table6.do

*******************************************
* NAEP
* DD estimates for 4th grade scores
* Comparison group: rest of U.S.
* Stratification variable: free/RP lunch
*******************************************

global tall "All Children"
global tfreelunch "Free Lunch"
global tnolunch "Not Free Lunch"
global subject1 "Math"
global subject2 "Reading"

* 4th grade
use data\naep\naep4, clear
gen clustervar=statefip

cd outreg

foreach var in all freelunch nolunch {
	foreach s in 1 2 {

			qui reg mean_`var' post i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post using table6-${subject`s'}_`var'.xml, replace excel title(Table 6: `var') ctitle("basic spec")

			qui reg mean_`var' post  normyrl3p i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p using table6-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("+ indicator for 7+ yrs prior")

			qui reg mean_`var' post year_ga year_ok i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post  year_ga year_ok using table6-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("+OK and GA specific trends") 

			qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* using table6-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("2+overall race vars") 

			qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp yrsscacc if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* yrsscacc using table6-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("+yrs accountability (linear)") 

			qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp i.yrsscacc if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* yrsscacc using table6-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("+yrs accountability (dummies)")

			erase table6-${subject`s'}_`var'.txt
	}
}

cd ..
