* apptab_a2.do

*******************************************
* CEX
* DD estimates for childcare spending 
* Comparison group(s): rest of U.S./5 Year Olds
* Stratification variable: maternal college
* Including WV and DC as treatment states
*******************************************

use data\cex\cex-collapsed-momcoll, clear
gen clustervar=statefip
keep if age>=4
keep if fallyear>=2002
gen treatstate=ok_ga
replace treatstate=1 if statefip==11|statefip==54
replace treat=treatstate*age4

cd outreg\appendixA

qui areg realbby treat age4 treatstate [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_a2.xml, replace excel title("Table A-2") ctitle("mother has HS degree or less", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 treatstate [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_a2.xml, append excel ctitle("mother has HS degree or less", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 treatstate [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_a2.xml, append excel ctitle("mother has HS degree or less", "median real cc spending, topcoding at 99th ptile ($2012)")

qui areg realbby treat age4 treatstate [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_a2.xml, append excel ctitle("mother has some college or more", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 treatstate [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_a2.xml, append excel ctitle("mother has some college or more ", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 treatstate [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_a2.xml, append excel ctitle("mother has some college or more", "median real cc spending, topcoding at 99th ptile ($2012)")

* Erase text files
erase apptab_a2.txt

cd ../..
