* apptab_a4.do

*******************************************
* ATUS
* DD estimates for maternal time use
* Comparison group(s): rest of U.S./5 Year Olds
* Stratification variable: maternal college
* Now coding WV and DC as treatment states
*******************************************

use data\atus\atus-collapsed-momcoll, clear
gen clustervar=statefip
keep if age>=4
gen treatstate=ok_ga
replace treatstate=1 if statefip==11|statefip==54
replace treat=treatstate*age4

cd outreg/appendixA

qui reg trtohhchild treat age4 treatstate [aw=counter] if momcoll==0, cl(state)
outreg2 using apptab_a4.xml, replace excel title("Table A-4") ctitle("mother has HS degree or less", "time spent with child present")
qui reg kidtime treat age4 treatstate [aw=counter] if momcoll==0, cl(state)
outreg2 using apptab_a4.xml, append excel ctitle("mother has HS degree or less", "time spent caring for and/or helping child")

qui reg trtohhchild treat age4 treatstate [aw=counter] if momcoll==1, cl(state)
outreg2 using apptab_a4.xml, append excel ctitle("mother has some college or more", "time spent with child present")
qui reg kidtime treat age4 treatstate [aw=counter] if momcoll==1, cl(state)
outreg2 using apptab_a4.xml, append excel ctitle("mother has some college or more ", "time spent caring for and/or helping child")

* Erase text files
erase apptab_a4.txt

cd ../..

