* apptab_a5.do

*******************************************
* NAEP 
* DD estimates for 4th grade test scores
* Comparison group: rest of U.S.
* Stratification variable: free/RP lunch
* Treatment group now includes WV
*******************************************

global tfreelunch "Free Lunch"
global tnolunch "Not Free Lunch"
global subject1 "Math"
global subject2 "Reading"

* 4th grade
use data\naep\naep4, clear
gen clustervar=statefip
replace post=1 if year>=2002&statefip==54
replace post=1 if year>=2008&statefip==11
gen year_wv=year*(statefip==54)

cd outreg/appendixA

foreach var in freelunch nolunch {
	foreach s in 1 2 {

			qui reg mean_`var' post i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post using apptab_a5-${subject`s'}_`var'.xml, replace excel title(Table 6: `var') ctitle("basic spec")

			qui reg mean_`var' post  normyrl3p i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p using apptab_a5-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("+ indicator for 7+ yrs prior")

			qui reg mean_`var' post year_ga year_ok year_wv i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post  year_ga year_ok year_wv using apptab_a5-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("+OK and GA specific trends") 

			qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* using apptab_a5-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("2+overall race vars") 

			qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp yrsscacc if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* yrsscacc using apptab_a5-${subject`s'}_`var'.xml, append excel title(Table 6: `var') ctitle("4+yrs accountability (linear)") 

			erase apptab_a5-${subject`s'}_`var'.txt
	}
}

cd ../..
