* appfig_d1.do
* time trends in maternal college, paternal college, and free lunch status

use data\octcps\octcps1968_2011, clear
keep if age==4

gen momcoll=momeduc==3|momeduc==4
replace momcoll=. if momeduc==.

gen dadcoll=dadeduc==3|dadeduc==4
replace dadcoll=. if dadeduc==.

collapse momcoll dadcoll lunch [pw=wtfinl], by(year)

label var momcoll "Mother has at least some college"
label var dadcoll "Father has at least some college"
label var lunch "Eligible for free or reduced-price lunch"

gr two (connected momcoll year, msym(O) lwidth(medium)) (connected dadcoll year, msym(O) lpat(dash)) ///
(connected lunch year, msym(Sh) lpat(dash_dot)), ///
scheme(s1color) plotregion(lcolor(none)) ///
legend(cols(1)) legend(position(5) ring(0) region(lcolor(none)) size(medsmall)) ///
xlab(1965(10)2010) xtick(1965(10)2010) xscale(range(1965 2010)) saving(graphs/appfig_b1, replace)

gr export graphs/appfig_b1.emf, as(emf) replace


