* apptab_b1.do
* Rate at which stratification variables are non-missing
* overall, by year, and by key stratification variable, maternal college

use data\octcps\octcps1977_2011-st, clear
keep if age==4
gen clustervar=statefip

gen nobs_momcoll=nobs*nomissmom
gen nobs_dadcoll=nobs*nomissdad
gen nobs_lunch=nobs*lunch

foreach var in momcoll dadcoll lunch {
	gen nobs_nomiss`var'=nobs
}

cd outreg/appendixB

foreach var of varlist momcoll dadcoll lunch nomiss* {
	replace `var'=`var'*100
}

qui reg momcoll post i.statefip i.year [aw=nobs_momcoll], cluster(clustervar)
outreg2 post using apptab_b1.xml, replace excel title("Table B-1") ctitle("momcoll")

foreach var of varlist dadcoll lunch nomiss* {

	qui reg `var' post i.statefip i.year [aw=nobs_`var'], cluster(clustervar)
	outreg2 post using apptab_b1.xml, append excel title("Table B-1") ctitle("`var'")
}

erase apptab_b1.txt

cd ../..

