* apptab_b2.do
* Rate at which stratification variables are non-missing
* overall, by year, and by key stratification variable, maternal college


set logtype text
cap log close

log using outreg/appendixB/apptab_b2.txt, replace

use data\octcps\octcps1968_2011, clear
keep if age==4

gen yeargrp=.
replace yeargrp=1970 if year>=1969&year<=1971
replace yeargrp=1985 if year>=1984&year<=1986
replace yeargrp=2010 if year>=2009&year<=2011

gen nomissmom=momeduc~=.
gen nomissdad=dadeduc~=.
gen nomisslunch=lunch~=.

gen momcoll=momeduc==3|momeduc==4
replace momcoll=. if momeduc==.

tabstat nomiss* [w=wtfinl]
tabstat nomiss* [w=wtfinl], by(yeargrp) 
tabstat nomiss* [w=wtfinl], by(momcoll) 

sort momcoll
by momcoll: tabstat nomiss* [w=wtfinl], by(yeargrp) 

log close
