* apptab_c2.do

*******************************************
* CEX
* DD estimates for childcare spending 
* Comparison group(s): southern census region/5 Year Olds
* Stratification variable: maternal college
*******************************************

use data\cex\cex-collapsed-momcoll, clear
gen clustervar=statefip
keep if age>=4
keep if statefip==1|statefip==5|statefip==10|statefip==11|statefip==12|statefip==13|statefip==21|statefip==22|statefip==24|statefip==28|statefip==37|statefip==40|statefip==45|statefip==47|statefip==48|statefip==51|statefip==54
tab statefip

cd outreg/appendixC

qui areg realbby treat age4 ok_ga [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_c2.xml, replace excel title("Table C-2") ctitle("mother has HS degree or less", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 ok_ga [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_c2.xml, append excel ctitle("mother has HS degree or less", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 ok_ga [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_c2.xml, append excel ctitle("mother has HS degree or less", "median real cc spending, topcoding at 99th ptile ($2012)")

qui areg realbby treat age4 ok_ga [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_c2.xml, append excel ctitle("mother has some college or more", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 ok_ga [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_c2.xml, append excel ctitle("mother has some college or more ", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 ok_ga [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_c2.xml, append excel ctitle("mother has some college or more", "median real cc spending, topcoding at 99th ptile ($2012)")

* Erase text files
erase apptab_c2.txt

cd ../..
