* apptab_c4.do

*******************************************
* ATUS
* DD estimates for maternal time use
* Comparison group(s): southern census region/5 Year Olds
* Stratification variable: maternal college
*******************************************

use data\atus\atus-collapsed-momcoll, clear
keep if statefip==1|statefip==5|statefip==10|statefip==11|statefip==12|statefip==13|statefip==21|statefip==22|statefip==24|statefip==28|statefip==37|statefip==40|statefip==45|statefip==47|statefip==48|statefip==51|statefip==54
keep if age>=4

gen clustervar=statefip

cd outreg/appendixC

qui reg trtohhchild treat age4 ok_ga [aw=counter] if momcoll==0, cl(state)
outreg2 using apptab_c4.xml, replace excel title("Table C-4") ctitle("mother has HS degree or less", "time spent with child present")
qui reg kidtime treat age4 ok_ga [aw=counter] if momcoll==0, cl(state)
outreg2 using apptab_c4.xml, append excel ctitle("mother has HS degree or less", "time spent caring for and/or helping child")

qui reg trtohhchild treat age4 ok_ga [aw=counter] if momcoll==1, cl(state)
outreg2 using apptab_c4.xml, append excel ctitle("mother has some college or more", "time spent with child present")
qui reg kidtime treat age4 ok_ga [aw=counter] if momcoll==1, cl(state)
outreg2 using apptab_c4.xml, append excel ctitle("mother has some college or more ", "time spent caring for and/or helping child")

* Erase text files
erase apptab_c4.txt

cd ../..

