* apptab_c5.do

*******************************************
* NAEP
* DD estimates for 4th grade test scores
* Comparison group: southern census region
* Stratification variable: free/RP lunch
*******************************************

global tfreelunch "Free Lunch"
global tnolunch "Not Free Lunch"
global subject1 "Math"
global subject2 "Reading"

* 4th grade
use data\naep\naep4, clear
gen clustervar=statefip
keep if statefip==1|statefip==5|statefip==10|statefip==11|statefip==12|statefip==13|statefip==21|statefip==22|statefip==24|statefip==28|statefip==37|statefip==40|statefip==45|statefip==47|statefip==48|statefip==51|statefip==54

cd outreg/appendixC

foreach var in freelunch nolunch {
	foreach s in 1 2 {

			qui reg mean_`var' post i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post using apptab_c5-${subject`s'}_`var'.xml, replace excel title(Table C-5: `var') ctitle("basic spec")

			qui reg mean_`var' post  normyrl3p i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p using apptab_c5-${subject`s'}_`var'.xml, append excel title(Table C-5: `var') ctitle("+ indicator for 7+ yrs prior")

			qui reg mean_`var' post year_ga year_ok i.year i.statefip if subject==`s', cluster(clustervar)
			outreg2 post  year_ga year_ok using apptab_c5-${subject`s'}_`var'.xml, append excel title(Table C-5: `var') ctitle("+OK and GA specific trends") 

			qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* using apptab_c5-${subject`s'}_`var'.xml, append excel title(Table C-5: `var') ctitle("2+overall race vars") 

			qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp yrsscacc if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* yrsscacc using apptab_c5-${subject`s'}_`var'.xml, append excel title(Table C-5: `var') ctitle("4+yrs accountability (linear)") 

			xi: qui reg mean_`var' post normyrl3p i.year i.statefip pctbl pcthisp i.yrsscacc if subject==`s', cluster(clustervar)
			outreg2 post  normyrl3p pct* yrsscacc using apptab_c5-${subject`s'}_`var'.xml, append excel title(Table C-5: `var') ctitle("4+yrs accountability (dummies)")

			erase apptab_c5-${subject`s'}_`var'.txt
	}
}

cd ../..
