* apptab_d2.do

*******************************************
* CEX
* DD estimates for childcare spending
* Comparison group(s): rest of U.S./5 Year Olds
* Stratification variable: maternal college
* Unweighted
*******************************************

use data\cex\cex-collapsed-momcoll, clear
gen clustervar=statefip
keep if age>=4

cd outreg\appendixD

qui areg realbby treat age4 ok_ga if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_d2.xml, replace excel title("Table D-2") ctitle("mother has HS degree or less", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 ok_ga if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_d2.xml, append excel ctitle("mother has HS degree or less", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 ok_ga if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_d2.xml, append excel ctitle("mother has HS degree or less", "median real cc spending, topcoding at 99th ptile ($2012)")

qui areg realbby treat age4 ok_ga if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_d2.xml, append excel ctitle("mother has some college or more", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 ok_ga if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_d2.xml, append excel ctitle("mother has some college or more ", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 ok_ga if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_d2.xml, append excel ctitle("mother has some college or more", "median real cc spending, topcoding at 99th ptile ($2012)")

* Erase text files
erase apptab_d2.txt

cd ../..

