* apptab_d4.do

*******************************************
* ATUS
* DD estimates for maternal time use
* Comparison group(s): rest of U.S./5 Year Olds
* Stratification variable: maternal college
* Unweighted
*******************************************

use data\atus\atus-collapsed-momcoll, clear
keep if age>=4

gen clustervar=statefip

cd outreg/appendixD

qui reg trtohhchild treat age4 ok_ga if momcoll==0, cl(state)
outreg2 using apptab_d4.xml, replace excel title("Table D-4") ctitle("mother has HS degree or less", "time spent with child present")
qui reg kidtime treat age4 ok_ga if momcoll==0, cl(state)
outreg2 using apptab_d4.xml, append excel ctitle("mother has HS degree or less", "time spent caring for and/or helping child")

qui reg trtohhchild treat age4 ok_ga if momcoll==1, cl(state)
outreg2 using apptab_d4.xml, append excel ctitle("mother has some college or more", "time spent with child present")
qui reg kidtime treat age4 ok_ga if momcoll==1, cl(state)
outreg2 using apptab_d4.xml, append excel ctitle("mother has some college or more ", "time spent caring for and/or helping child")

* Erase text files
erase apptab_d4.txt

cd ../..

