* apptab_e4.do
* Conley-Taber confidence intervals 
* Table 5

cap log close
log using outreg\appendixE\apptab_e4, replace

log close

global a_trtohhchild replace
global a_kidtime append
global numst0 46
global numst1 51

foreach var in trtohhchild kidtime {
	foreach m in 0 1 {
		use data\atus\atus-collapsed-momcoll, clear
		gen clustervar=statefip
		keep if age>=4&momcoll==`m'
		drop if statefip==.
				
		reg `var' treat age4 ok_ga [aw=counter], cl(state)
		outreg2 treat using outreg\appendixE\apptab_e4-momcoll`m'.xml, excel ${a_`var'} noaster		
		
		egen sumn=sum(counter)
		* reweight the data
		foreach v of varlist `var' treat age4 ok_ga {
			gen double `v'tilde=`v'*sqrt(counter/sumn)
			replace `v'tilde=. if `v'==.
		}

		gen sqrtn=sqrt(counter/sumn)
		
		* Now regress the coefficients (beta) obtained from the previous regression 
		*on state and year dummies and post variable
		reg `var'tilde treattilde sqrtn age4tilde ok_gatilde, noc

		* Predict residuals from regression 
		predict eta, res 
		replace eta=eta+_b[treattilde]*treattilde
		gen alpha=_b[treattilde]

		gen ga=state==13
		gen ok=state==40

		* Create d tilde variable 
		bysort age: egen djtga=mean(treattilde) if ga==1
		bysort age: egen djtok=mean(treattilde) if ok==1
		bysort age: egen d1t=sum(djtga) 
		bysort age: egen d2t=sum(djtok) 
		bysort state: egen meand1t=mean(d1t)
		bysort state: egen meand2t=mean(d2t)

		g double dtil1=(d1t-meand1t)
		g double dtil2=(d2t-meand2t)
		g double dtil1_2=(d1t-meand1t)^2
		g double dtil2_2=(d2t-meand2t)^2
		bysort state: egen double sumt_dtil1=sum(dtil1*eta)
		bysort state: egen double sumt_dtil2=sum(dtil2*eta)
		bysort state: egen double sumt_dtil1_2=sum(dtil1_2)
		bysort state: egen double sumt_dtil2_2=sum(dtil2_2)
		g double asim=(sumt_dtil1+sumt_dtil2)/(sumt_dtil1_2+sumt_dtil2_2)	
		
		collapse (mean) asim alpha, by(state)
				
		gen ci=alpha-asim
		local numst=${numst`m'}
		local i025=floor(0.025*(`numst'-2))
		local i975=ceil(0.975*(`numst'-2))
		local i05=floor(0.050*(`numst'-2))
		local i95=ceil(0.950*(`numst'-2))
		local i075=floor(0.0750*(`numst'-2))
		local i925=ceil(0.9250*(`numst'-2))
		local i10=floor(0.1*(`numst'-2))
		local i90=ceil(0.9*(`numst'-2))
		
		log using outreg\appendixE\apptab_e4, append		
		dis as text "var=`var', momcoll==`m'"

		quietly sum alpha if state==13
		display as text "Check: Difference in Differences coefficient (based on GA)=" as result _newline(2) r(mean)
		quietly sum alpha if state==40
		display as text "Check: Difference in Differences coefficient (based on OK)=" as result _newline(2) r(mean)

		drop if state==13|state==40
		sort ci
		qui sum ci if _n==`i025'|_n==`i975'
		display as text "95% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		qui sum ci if _n==`i05'|_n==`i95'
		display as text "90% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		qui sum ci if _n==`i075'|_n==`i925'
		display as text "85% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		qui sum ci if _n==`i10'|_n==`i90'
		display as text "80% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		log close

	}
}

erase outreg\appendixE\apptab_e4-momcoll0.txt
erase outreg\appendixE\apptab_e4-momcoll1.txt
