* apptab_e5-spec2.do
* Conley-Taber confidence intervals 
* Specification 2 of Table 6

cap log close
log using outreg\appendixE\apptab_e5-spec2, replace

dis as text "Specification 2: Add long pre-initiative dummy"

log close

global sub1 "math"
global sub2 "reading"

foreach var in freelunch nolunch {
	foreach s in 1 2 {
		use data\naep\naep4, clear
		gen clustervar=statefip
		keep if subject==`s'

		xi: reg mean_`var' post normyrl3p i.year i.state, cluster(clustervar)
		outreg2 post using outreg\appendixE\apptab_e5-`var'-${sub`s'}.xml, excel append noaster		
		
		/* Create state and year dummies*/
		sum year 
		g yrmin=r(min)
		g yrmax=r(max)

		levelsof year, local(years)
		quietly {
			foreach y in `years' {
				g byte Dyear_`y'=year==`y' 
				}		
		}
	
		levelsof statefip , local(states)
		quietly {
			foreach st in `states' {
				g byte Dstate_`st'=state==`st' 
			}
		}

		
		* Now regress the coefficients (beta) obtained from the previous regression 
		*on state and year dummies and post variable
		reg mean_`var' post normyrl3p Dstat* Dyear*, noc

		* Predict residuals from regression 
		predict eta, res 
		replace eta=eta+_b[post]*post
		gen alpha=_b[post]
		drop D*

		* Create d tilde variable 
		bysort year: egen djtga=mean(post) if ga==1
		bysort year: egen djtok=mean(post) if ok==1
		bysort year: egen d1t=sum(djtga) 
		bysort year: egen d2t=sum(djtok) 
		bysort state: egen meand1t=mean(d1t)
		bysort state: egen meand2t=mean(d2t)

		g double dtil1=(d1t-meand1t)
		g double dtil2=(d2t-meand2t)
		g double dtil1_2=(d1t-meand1t)^2
		g double dtil2_2=(d2t-meand2t)^2
		bysort state: egen double sumt_dtil1=sum(dtil1*eta)
		bysort state: egen double sumt_dtil2=sum(dtil2*eta)
		bysort state: egen double sumt_dtil1_2=sum(dtil1_2)
		bysort state: egen double sumt_dtil2_2=sum(dtil2_2)
		g double asim=(sumt_dtil1+sumt_dtil2)/(sumt_dtil1_2+sumt_dtil2_2)	
		
		collapse (mean) asim alpha, by(state)
				
		gen ci=alpha-asim
		local numst=51
		local i025=floor(0.025*(`numst'-2))
		local i975=ceil(0.975*(`numst'-2))
		local i05=floor(0.050*(`numst'-2))
		local i95=ceil(0.950*(`numst'-2))
		local i075=floor(0.075*(`numst'-2))
		local i925=ceil(0.925*(`numst'-2))
		local i10=floor(0.1*(`numst'-2))
		local i90=ceil(0.9*(`numst'-2))
		
		log using outreg\appendixE\apptab_e5-spec2, append		
		dis as text "var=`var', subject=${sub`s'}"

		quietly sum alpha if state==13
		display as text "Check: Difference in Differences coefficient (based on GA)=" as result _newline(2) r(mean)
		quietly sum alpha if state==40
		display as text "Check: Difference in Differences coefficient (based on OK)=" as result _newline(2) r(mean)

		drop if state==13|state==40
		sort ci
		quietly sum ci if _n==`i025'|_n==`i975'
		display as text "95% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		quietly sum ci if _n==`i05'|_n==`i95'
		display as text "90% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		quietly sum ci if _n==`i075'|_n==`i925'
		display as text "85% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		quietly sum ci if _n==`i10'|_n==`i90'
		display as text "80% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		log close
	}
}
