* apptab_g2-spec1.do
* Conley-Taber confidence intervals 
* Specification 1 of Table 3

cap log close
log using outreg\appendixG\apptab_g2, replace

log close

global a_realbby replace
global a_realbbytop99 append
global a_rmdbby append

foreach var in realbby realbbytop99 rmdbby {
	foreach m in 0 1  {
		use data\cex\cex-collapsed-momcoll, clear
		gen clustervar=statefip
		keep if age>=4&momcoll==`m'

		areg `var' treat age4 ok_ga [aw=counter], a(fallyear) cl(state)
		outreg2 treat using outreg\appendixG\apptab_g2-momcoll`m'.xml, excel ${a_`var'} noaster		
		
		/* Create state and year dummies*/
		sum year 
		g yrmin=r(min)
		g yrmax=r(max)

		g yr=yrmin
		quietly {
			while yr<=yrmax {
			local k=yr
				g byte Dyear_`k'=year==`k' 
				replace yr=yr+1
				}		
		}
	
		egen sumn=sum(counter)
		* reweight the data
		foreach v of varlist `var' treat age4 ok_ga Dyear* {
			gen double `v'tilde=`v'*sqrt(counter/sumn)
		}

		gen sqrtn=sqrt(counter/sumn)
		
		* Now regress the coefficients (beta) obtained from the previous regression 
		*on state and year dummies and post variable
		reg `var'tilde treattilde sqrtn age4tilde ok_gatilde Dyear*tilde, noc

		* Predict residuals from regression 
		predict eta, res 
		replace eta=eta+_b[treattilde]*treattilde
		gen alpha=_b[treattilde]
		drop D*

		* Create d tilde variable 
		bysort age: egen djtga=mean(treattilde) if ga==1
		bysort age: egen djtok=mean(treattilde) if ok==1
		bysort age: egen d1t=sum(djtga) 
		bysort age: egen d2t=sum(djtok) 
		bysort state: egen meand1t=mean(d1t)
		bysort state: egen meand2t=mean(d2t)

		g double dtil1=(d1t-meand1t)
		g double dtil2=(d2t-meand2t)
		g double dtil1_2=(d1t-meand1t)^2
		g double dtil2_2=(d2t-meand2t)^2
		bysort state: egen double sumt_dtil1=sum(dtil1*eta)
		bysort state: egen double sumt_dtil2=sum(dtil2*eta)
		bysort state: egen double sumt_dtil1_2=sum(dtil1_2)
		bysort state: egen double sumt_dtil2_2=sum(dtil2_2)
		g double asim=(sumt_dtil1+sumt_dtil2)/(sumt_dtil1_2+sumt_dtil2_2)	
		
		collapse (mean) asim alpha, by(state)
				
		gen ci=alpha-asim
		local numst=51
		local i025=floor(0.025*(`numst'-2))
		local i975=ceil(0.975*(`numst'-2))
		local i05=floor(0.050*(`numst'-2))
		local i95=ceil(0.950*(`numst'-2))
		
		log using outreg\appendixG\apptab_g2, append		
		dis as text "var=`var', momcoll==`m'"

		quietly sum alpha if state==13
		display as text "Check: Difference in Differences coefficient (based on GA)=" as result _newline(2) r(mean)
		quietly sum alpha if state==40
		display as text "Check: Difference in Differences coefficient (based on OK)=" as result _newline(2) r(mean)

		drop if state==13|state==40
		sort ci
		quietly sum ci if _n==`i025'|_n==`i975'
		display as text "95% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		quietly sum ci if _n==`i05'|_n==`i95'
		display as text "90% Confidence interval=" as result _newline(2) r(min) _col(15) r(max)
		log close
	}
}
