* apptab_g1.do

*******************************************
* CEX
* DD estimates for childcare spending
* Comparison group(s): rest of U.S./3 Year Olds
* Stratification variable: maternal college
*******************************************

use data\cex\cex-collapsed-momcoll, clear
gen clustervar=statefip
keep if age<=4

cd outreg/appendixG

qui areg realbby treat age4 ok_ga [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_g1.xml, replace excel title("Table G-1") ctitle("mother has HS degree or less", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 ok_ga [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_g1.xml, append excel ctitle("mother has HS degree or less", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 ok_ga [aw=counter] if momcoll==0, a(fallyear) cl(state)
outreg2 using apptab_g1.xml, append excel ctitle("mother has HS degree or less", "median real cc spending, topcoding at 99th ptile ($2012)")

qui areg realbby treat age4 ok_ga [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_g1.xml, append excel ctitle("mother has some college or more", "average real cc spending ($2012)")
qui areg realbbytop99 treat age4 ok_ga [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_g1.xml, append excel ctitle("mother has some college or more ", "average real cc spending, topcoding at 99th ptile ($2012)")
qui areg rmdbby treat age4 ok_ga [aw=counter] if momcoll==1, a(fallyear) cl(state)
outreg2 using apptab_g1.xml, append excel ctitle("mother has some college or more", "median real cc spending, topcoding at 99th ptile ($2012)")

* Erase text files
erase apptab_g1.txt

cd ../..
