* online_appendix.do
* this do-file creates the tables and figures in the online appendix

version 11.2
clear
clear matrix
set more off
set logtype text
set mem 200m
set matsize 5000

*cd "directory path where you unzipped the data, e.g., c:\my_documents\"
cd y:\expanding_preschool\replication_files

* Appendix A:  Code WV and DC as treatment states
do do\analysis\appendixA\apptab_a1.do
do do\analysis\appendixA\apptab_a2.do
do do\analysis\appendixA\apptab_a3.do
do do\analysis\appendixA\apptab_a4.do
do do\analysis\appendixA\apptab_a5.do

* Appendix B:  Alternative stratification variables
do do\analysis\appendixB\appfig_b1.do
do do\analysis\appendixB\apptab_b1.do
do do\analysis\appendixB\apptab_b2.do
do do\analysis\appendixB\apptab_b3.do
do do\analysis\appendixB\apptab_b4.do
do do\analysis\appendixB\apptab_b5.do
do do\analysis\appendixB\apptab_b6.do

* Appendix C:  Use states in South (census region) as comparison units
do do\analysis\appendixC\apptab_c1.do
do do\analysis\appendixC\apptab_c2.do
do do\analysis\appendixC\apptab_c3.do
do do\analysis\appendixC\apptab_c4.do
do do\analysis\appendixC\apptab_c5.do
do do\analysis\appendixC\apptab_c6.do

* Appendix D:  Unweighted estimates
do do\analysis\appendixD\apptab_d1.do
do do\analysis\appendixD\apptab_d2.do
do do\analysis\appendixD\apptab_d3.do
do do\analysis\appendixD\apptab_d4.do

* Appendix E:  Conley-Taber CIs
do do\analysis\appendixE\apptab_e1-spec1.do
do do\analysis\appendixE\apptab_e1-spec2.do
do do\analysis\appendixE\apptab_e1-spec3.do
do do\analysis\appendixE\apptab_e2.do
do do\analysis\appendixE\apptab_e3-spec1.do
do do\analysis\appendixE\apptab_e3-spec2.do
do do\analysis\appendixE\apptab_e4.do
do do\analysis\appendixE\apptab_e5-spec1.do
do do\analysis\appendixE\apptab_e5-spec2.do
do do\analysis\appendixE\apptab_e5-spec3.do
do do\analysis\appendixE\apptab_e5-spec4.do
do do\analysis\appendixE\apptab_e5-spec5.do
do do\analysis\appendixE\apptab_e6-spec1.do
do do\analysis\appendixE\apptab_e6-spec2.do
do do\analysis\appendixE\apptab_e6-spec3.do
do do\analysis\appendixE\apptab_e6-spec4.do
do do\analysis\appendixE\apptab_e6-spec5.do

* Appendix F:  Separate estimates by state
do do\analysis\appendixF\apptab_f1.do

* Appendix G:  Use 3 year olds instead of 5 year olds as comparison group 
do do\analysis\appendixG\apptab_g1.do
do do\analysis\appendixG\apptab_g2.do
