* atus_clean.do
* Prepares the ATUS data for estimation of Table 5.

cd data\atus

use prek_0311_age, clear

/* define outcome variables */
egen kidtime=rsum(t0301*)
lab var kidtime "time spent caring for/helping child"

/* define control variables*/
*tab tumonth, gen(monthdum) 
gen summer=tumonth==7 | tumonth==8
gen momhied=peeduca>=40
replace momhied=. if peeduca==.
gen counter=1

/* sample restrictions: mom, non-summer, non-holiday */
keep if tesex==2
keep if ~summer & ~trholiday

/* collapse to aggregate cells */
collapse (mean) kidtime trtohhchild (count) counter, by(momhied gestfips age_atus)
gen age4=age_atus==4
gen ok_ga=gestfips==13 | gestfips==40
gen treat=age4*ok_ga

ren gestfips statefip
ren momhied momcoll
ren age_atus age

save atus-collapsed-momcoll, replace

cd ..\..


