* births_clean.do
* This do file cleans up the vital statistics data 

cd data\vital

* old vital stats data (from Ken Chay)
use births59_85, clear
drop year
ren state statefip
ren totbirth age4
replace yrbirth=yrbirth+1900
gen year=yrbirth+4
keep if year>=1978
keep state year age4
sort state year
save births_bystate_1978_1989, replace

* national version
collapse (sum) age4, by(year)
save births_nat_1978_1989, replace

* online data (starts 1990)
use online\numbirth90plus
gen year=yrbirth+4
ren numbirth age4
keep state year age4
sort state year
drop if year>2011
save births_bystate_1994_2011, replace

* national version
collapse (sum) age4, by(year)
save births_nat_1994_2011, replace

* append state and national datasets
use births_bystate_1978_1989, clear
append using births_bystate_1994_2011
sort state year
expand 5 if year==1989
sort statefip year
by statefip year: gen x=_n-1
gen year2=year+x
drop year
ren year2 year
replace age4=. if year>=1990&year<=1993
drop x
egen age4_1989=sum(age4*(year==1989)), by(statefip)
egen age4_1994=sum(age4*(year==1994)), by(statefip)
replace age4=age4_1989+(age4_1994-age4_1989)/5 if year==1990
replace age4=age4_1989+2*(age4_1994-age4_1989)/5 if year==1991
replace age4=age4_1989+3*(age4_1994-age4_1989)/5 if year==1992
replace age4=age4_1989+4*(age4_1994-age4_1989)/5 if year==1993
drop age4_*
sort statefip year
save births_bystate_1978_2011, replace

use births_nat_1978_1989, clear
append using births_nat_1994_2011
expand 5 if year==1989
sort year
by year: gen x=_n-1
gen year2=year+x
drop year
ren year2 year
replace age4=. if year>=1990&year<=1993
drop x
replace age4=3760561+(4158212-3760561)/5 if year==1990
replace age4=3760561+2*(4158212-3760561)/5 if year==1991
replace age4=3760561+3*(4158212-3760561)/5 if year==1992
replace age4=3760561+4*(4158212-3760561)/5 if year==1993
order year age4 
sort year
save births_nat_1978_2011, replace

erase births_bystate_1978_1989.dta
erase births_nat_1978_1989.dta
erase births_bystate_1994_2011.dta
erase births_nat_1994_2011.dta

cd ..\..

