* ccd_clean.do
* 11.06.13

cd data\ccd

insheet using enrbyrace.csv, comma clear

* convert data from wide to long

reshape long hi bl tot, i(statefip) j(year)
drop if year<=1992 /* no enrollment by race */

* rename year as yeartest for merge to NAEP (where year is year of preschool)
ren year yeartest

* new variables
gen pcthisp=(hi/tot)*100
gen pctbl=(bl/tot)*100
gen pctmin=((bl+hi)/tot)*100

* impute %'s in few cases where missing
tab statefip year if pctbl==.
tab statefip year if pcthi==.

sort statefip yeartest 

* use 1994 values for 1993 if missing
foreach var of varlist pct* {
	by statefip: replace `var'=`var'[_n+1] if yeartest==1993&`var'==.
}

* use 1995 values for 1993 and 1994 missing
foreach var of varlist pct* {
	by statefip: replace `var'=`var'[_n+1] if yeartest==1994&`var'==.
	by statefip: replace `var'=`var'[_n+2] if yeartest==1993&`var'==.
}

* linearly interpolate for 2005 missing value
foreach var of varlist pct* {
	by statefip: replace `var'=(`var'[_n-1]+`var'[_n+1])/2 if yeartest==2005&`var'==.
}

tab statefip year if pctbl==.
tab statefip year if pcthi==.

keep statefip yeartest pct*
sort statefip yeartest
save enrbyrace-long, replace

cd ../..

