* cex_clean.do
* Prepares the CEX data for estimation of Table 3.

cd data\cex

use fmli_memi_3-5yos, clear

foreach i in 1 2 3 4 5 6 7 8 9 10 11 12 {
	gen bbymon`i'=. 
	gen fallyear`i'=. 
}

replace bbymon9=bbydaypq/3 if qintrvmo==10
replace bbymon9=bbydaypq/2 if qintrvmo==11
replace bbymon9=bbydaypq/1 if qintrvmo==12
replace fallyear9=qintrvyr if bbymon9~=.

replace bbymon10=bbydaycq/1 if qintrvmo==11
replace bbymon10=bbydaycq/2 if qintrvmo==12
replace bbymon10=bbydaypq/3 if qintrvmo==1
replace fallyear10=qintrvyr if bbymon10~=. & (qintrvmo==11 | qintrvmo==12)
replace fallyear10=qintrvyr-1 if bbymon10~=. & (qintrvmo==1)

replace bbymon11=bbydaycq/2 if qintrvmo==12
replace bbymon11=bbydaypq/3 if qintrvmo==1
replace bbymon11=bbydaypq/2 if qintrvmo==2
replace fallyear11=qintrvyr if bbymon11~=. & (qintrvmo==12)
replace fallyear11=qintrvyr-1 if bbymon11~=. & (qintrvmo==1 | qintrvmo==2)

replace bbymon12=bbydaypq/3 if qintrvmo==1
replace bbymon12=bbydaypq/2 if qintrvmo==2
replace bbymon12=bbydaypq/1 if qintrvmo==3
replace fallyear12=qintrvyr-1 if bbymon12~=.

replace bbymon1=bbydaycq/1 if qintrvmo==2
replace bbymon1=bbydaycq/2 if qintrvmo==3
replace bbymon1=bbydaypq/3 if qintrvmo==4
replace fallyear1=qintrvyr-1 if bbymon1~=.

replace bbymon2=bbydaycq/2 if qintrvmo==3
replace bbymon2=bbydaypq/3 if qintrvmo==4
replace bbymon2=bbydaypq/2 if qintrvmo==5
replace fallyear2=qintrvyr-1 if bbymon2~=.

replace bbymon3=bbydaypq/3 if qintrvmo==4
replace bbymon3=bbydaypq/2 if qintrvmo==5
replace bbymon3=bbydaypq/1 if qintrvmo==6
replace fallyear3=qintrvyr-1 if bbymon3~=.

replace bbymon4=bbydaycq/1 if qintrvmo==5
replace bbymon4=bbydaycq/2 if qintrvmo==6
replace bbymon4=bbydaypq/3 if qintrvmo==7
replace fallyear4=qintrvyr-1 if bbymon4~=.

replace bbymon5=bbydaycq/2 if qintrvmo==6
replace bbymon5=bbydaypq/3 if qintrvmo==7
replace bbymon5=bbydaypq/2 if qintrvmo==8
replace fallyear5=qintrvyr-1 if bbymon5~=.

replace bbymon6=bbydaypq/3 if qintrvmo==7
replace bbymon6=bbydaypq/2 if qintrvmo==8
replace bbymon6=bbydaypq/1 if qintrvmo==9
replace fallyear6=qintrvyr-1 if bbymon6~=.

replace bbymon7=bbydaycq/1 if qintrvmo==8
replace bbymon7=bbydaycq/2 if qintrvmo==9
replace bbymon7=bbydaypq/3 if qintrvmo==10
replace fallyear7=qintrvyr-1 if bbymon7~=.

replace bbymon8=bbydaycq/2 if qintrvmo==9
replace bbymon8=bbydaypq/3 if qintrvmo==10
replace bbymon8=bbydaypq/2 if qintrvmo==11
replace fallyear8=qintrvyr-1 if bbymon8~=.

/* constants
newid age sex membrace lt18 perslt18 momed state fam_size cuincome finlwt21
*/

reshape long bbymon fallyear, i(newid age) j(month)
gen year=fallyear 
replace year=fallyear+1 if month<=8

* merge with CPI, convert to real inflation-adjusted dollars
merge m:1 month year using cpi_monthly 
tab _m 
drop _m
*cpi: 2012 annual = 229.6
gen realbby=bbymon*229.6/cpi

/* GA = 13 OK = 40 */
gen post=state==13 & fallyear>=1995
replace post=state==40 & fallyear>=1998
qui tab fallyear, gen(yeardum)

gen ok_ga=state==13 | state==40
gen treat=ok_ga*age==4
gen age4=age==4

/* sample selection */
* keep non-summer months only
drop if month==7 | month==8
* non-missing mom's education
drop if momed==.
* only post-policy years (not enough pre-policy data)
keep if fallyear>=1998 
keep if fallyear<2011

gen counter=1

* topcode bbytop to 99th percentile amount = $1800
sum realbby, d
gen realbbytop99=realbby 
replace realbbytop99=1800 if realbbytop99>1800 & realbbytop99~=.
recode state .=99

collapse (mean) realbby realbbytop99 (median) rmdbby=realbby (sum) counter, by(momed fallyear state age) 
gen ok_ga=state==13 | state==40
gen treat=ok_ga*age==4
gen age4=age==4
tab fallyear, gen(ydum) 
drop ydum1

ren state statefip
ren momed momcoll

save cex-collapsed-momcoll, replace

cd ..\..
