* naep_clean.do
* 11.01.13

cd data\naep

* National
use NAEP_statemeans, clear
rename fips statefip
keep if agglevel==1
keep if grade==4
keep if subject==1
keep if accommodation==1
gen yearpk=year-6
label var year "year of test (spring)"
label var yearpk "year of potential pre-K entry"
keep mean_freelunch mean_nolunch year yearpk
ren mean_freelunch math4_freelunch
ren mean_nolunch math4_nolunch

drop year

sort yearpk
save math4nat, replace

* grade 4 reading
use NAEP_statemeans, clear
rename fips statefip
keep if agglevel==1
keep if grade==4
keep if subject==2
keep if accommodation==1
gen yearpk=year-6
label var year "year of test (spring)"
label var yearpk "year of potential pre-K entry"
keep mean_freelunch mean_nolunch year yearpk
ren mean_freelunch read4_freelunch
ren mean_nolunch read4_nolunch

drop year
sort yearpk
save read4nat, replace

* grade 8 math
use NAEP_statemeans, clear
rename fips statefip
keep if agglevel==1
keep if grade==8
keep if subject==1
keep if accommodation==1
gen yearpk=year-10
label var year "year of test (spring)"
label var yearpk "year of potential pre-K entry"
keep mean_freelunch mean_nolunch year yearpk
ren mean_freelunch math8_freelunch
ren mean_nolunch math8_nolunch

drop year
sort yearpk
save math8nat, replace

* grade 8 reading
use NAEP_statemeans, clear
rename fips statefip
keep if agglevel==1
keep if grade==8
keep if subject==2
keep if accommodation==1
gen yearpk=year-10
label var year "year of test (spring)"
label var yearpk "year of potential pre-K entry"
keep mean_freelunch mean_nolunch year yearpk
ren mean_freelunch read8_freelunch
ren mean_nolunch read8_nolunch

drop year

sort yearpk
save read8nat, replace

use math4nat
merge yearpk using read4nat
tab _merge
drop _merge
sort yearpk
merge yearpk using math8nat
tab _merge
drop _merge
sort yearpk
merge yearpk using read8nat
tab _merge
drop _merge

erase math4nat.dta
erase read4nat.dta
erase math8nat.dta
erase read8nat.dta

label var math4_freelunch "Grade 4, Free/Reduced-Price Lunch"
label var read4_freelunch "Grade 4, Free/Reduced-Price Lunch"
label var math8_freelunch "Grade 8, Free/Reduced-Price Lunch"
label var read8_freelunch "Grade 8, Free/Reduced-Price Lunch"
label var math4_nolunch "Grade 4, Not Free/Reduced-Price Lunch"
label var read4_nolunch "Grade 4, Not Free/Reduced-Price Lunch"
label var math8_nolunch "Grade 8, Not Free/Reduced-Price Lunch"
label var read8_nolunch "Grade 8, Not Free/Reduced-Price Lunch"

gen yeargr4=yearpk+6
gen yeargr8=yearpk+10

save naep-nat, replace

* 4th graders - state
use NAEP_statemeans, clear
rename fips statefip
keep if agglevel==2 /* state data */
keep if grade==4
keep if accommodation==1
ren year yeartest
label var yeartest "year of test"
gen year=yeartest-6
label var year "year of pre-K"

keep statefip year* *_all *_freelunch *_nolunch *_white subject

gen ok=statefip==40
gen ga=statefip==13
gen post=0
replace post=1 if year>=1998&ok
replace post=1 if year>=1995&ga
gen normyear=.
replace normyear=year-1998 if ok
replace normyear=year-1995 if ga

gen normyrgrp=.	
replace normyrgrp=-3.5 if normyear<=-3&normyear~=.
replace normyrgrp=-1.5 if normyear==-1|normyear==-2
replace normyrgrp=.5 if normyear==0|normyear==1
replace normyrgrp=2.5 if normyear==2|normyear==3
replace normyrgrp=4.5 if normyear==4|normyear==5
replace normyrgrp=6.5 if normyear>=6&normyear~=.

gen normyrl3p=normyrgrp==-3.5
gen normyrp0_1=normyrgrp==.5
gen normyrp2_3=normyrgrp==2.5
gen normyrp4_5=normyrgrp==4.5
gen normyrp6p=normyrgrp==6.5

gen normyrl3p_ga=normyrl3p*ga
gen normyrp0_1_ga=normyrp0_1*ga
gen normyrp2_3_ga=normyrp2_3*ga
gen normyrp4_5_ga=normyrp4_5*ga
gen normyrp6p_ga=normyrp6p*ga

gen normyrl3p_ok=normyrl3p*ok
gen normyrp0_1_ok=normyrp0_1*ok
gen normyrp2_3_ok=normyrp2_3*ok
gen normyrp4_5_ok=normyrp4_5*ok
gen normyrp6p_ok=normyrp6p*ok

gen post_ga=post*ga
gen post_ok=post*ok

gen year_ga=year*ga
gen year_ok=year*ok

drop if statefip==97 /* DoDEA */

* merge on enrollment by race 
sort statefip yeartest
merge statefip yeartest using ..\ccd\enrbyrace-long, uniqusing
tab _merge
drop if _merge==2 /* in ccd, not in NAEP */
drop _merge

* accountability variable (dates from Dee and Jacob 2011)
gen yracc=.
replace yracc=1992 if statefip==17 /* IL */
replace yracc=1993 if statefip==55 /* WI */
replace yracc=1994 if statefip==48 /* TX */
replace yracc=1995 if statefip==18|statefip==20|statefip==21 /* IN, KS, KY */
replace yracc=1996 if statefip==37|statefip==32|statefip==40 /* NC, NV, OK */
replace yracc=1997 if statefip==1|statefip==44|statefip==54 /* AL, RI, WV */
replace yracc=1998 if statefip==10|statefip==25|statefip==26|statefip==35|statefip==36|statefip==51 /* DE, MA, MI, NM, NY, VA */
replace yracc=1999 if statefip==5|statefip==6|statefip==9|statefip==12|statefip==22|statefip==24|statefip==45|statefip==50 /* AR, CA, CT, FL, LA, MD, SC, VT */
replace yracc=2000 if statefip==13|statefip==41|statefip==47 /* GA, OR, TN */
replace yracc=2001 if statefip==2 
replace yracc=2002 if yracc==.

gen yrsscacc=yeartest-yracc
replace yrsscacc=0 if yrsscacc<0

save naep4, replace

* 8th graders - state
use NAEP_statemeans, clear
rename fips statefip
keep if agglevel==2 /* state data */
keep if grade==8
keep if accommodation==1
ren year yeartest
label var yeartest "year of test"
gen year=yeartest-10
label var year "year of pre-K"

keep statefip year* *_all *_freelunch *_nolunch *_white subject

gen ok=statefip==40
gen ga=statefip==13
gen post=0
replace post=1 if year>=1998&ok
replace post=1 if year>=1995&ga
gen normyear=.
replace normyear=year-1998 if ok
replace normyear=year-1995 if ga

gen normyrgrp=.	
replace normyrgrp=-7.5 if normyear<=-7&normyear~=.
replace normyrgrp=-5.5 if normyear==-5|normyear==-6
replace normyrgrp=-3.5 if normyear==-3|normyear==-4
replace normyrgrp=-1.5 if normyear==-1|normyear==-2
replace normyrgrp=.5 if normyear==0|normyear==1
replace normyrgrp=2.5 if normyear==2|normyear==3
replace normyrgrp=4.5 if normyear>=4&normyear~=.

gen normyrl7p=normyrgrp==-7.5
gen normyrl5_6=normyrgrp==-5.5
gen normyrl3_4=normyrgrp==-3.5
gen normyrp0_1=normyrgrp==.5
gen normyrp2_3=normyrgrp==2.5
gen normyrp4p=normyrgrp==4.5

gen normyrl7p_ga=normyrl7p*ga
gen normyrl5_6_ga=normyrl5_6*ga
gen normyrl3_4_ga=normyrl3_4*ga
gen normyrp0_1_ga=normyrp0_1*ga
gen normyrp2_3_ga=normyrp2_3*ga
gen normyrp4p_ga=normyrp4p*ga

gen normyrl7p_ok=normyrl7p*ok
gen normyrl5_6_ok=normyrl5_6*ok
gen normyrl3_4_ok=normyrl3_4*ok
gen normyrp0_1_ok=normyrp0_1*ok
gen normyrp2_3_ok=normyrp2_3*ok
gen normyrp4p_ok=normyrp4p*ok

gen year_ga=year*ga
gen year_ok=year*ok

gen post_ga=post*ga
gen post_ok=post*ok

drop if statefip==97 /* DoDEA */

* merge on enrollment by race 
sort statefip yeartest
merge statefip yeartest using ..\ccd\enrbyrace-long, uniqusing
tab _merge
drop if _merge==2 /* in ccd, not in NAEP */
drop _merge

* accountability variable (dates from Dee and Jacob 2011)
gen yracc=.
replace yracc=1992 if statefip==17 /* IL */
replace yracc=1993 if statefip==55 /* WI */
replace yracc=1994 if statefip==48 /* TX */
replace yracc=1995 if statefip==18|statefip==20|statefip==21 /* IN, KS, KY */
replace yracc=1996 if statefip==37|statefip==32|statefip==40 /* NC, NV, OK */
replace yracc=1997 if statefip==1|statefip==44|statefip==54 /* AL, RI, WV */
replace yracc=1998 if statefip==10|statefip==25|statefip==26|statefip==35|statefip==36|statefip==51 /* DE, MA, MI, NM, NY, VA */
replace yracc=1999 if statefip==5|statefip==6|statefip==9|statefip==12|statefip==22|statefip==24|statefip==45|statefip==50 /* AR, CA, CT, FL, LA, MD, SC, VT */
replace yracc=2000 if statefip==13|statefip==41|statefip==47 /* GA, OR, TN */
replace yracc=2001 if statefip==2 
replace yracc=2002 if yracc==.

gen yrsscacc=yeartest-yracc
replace yrsscacc=0 if yrsscacc<0

save naep8, replace

cd ..\..


