* nieer_clean.do
* Do-file creates Stata version of state-year data on % of 3 and 4 year olds served
* by state-funded pre-K and 10-point quality checklist

cd data\nieer

insheet using nieer2012.csv, comma clear
sum

* DC: "1960s".  According to a report by Watson (2010) ["A Case Study of the Pre-K for All DC Campaign:
* How Pre-K for All Became the Law of the Land in Washington DC" (accessed 11/1/13): 
* <http://fcd-us.org/sites/default/files/Pre-K%20for%20All%20DC%20Case%20Study.pdf >], Anacostia had a pilot 
* program for Head Start in 1964 and DC public schools started offering pre-K to 4 year olds in 1972.  Use 1972.
replace year1_nieer=1972 if statefip==11 
* PA: apparently had some program prior to 2004, but date not given.  Use 2004. 
replace year1_nieer=2004 if statefip==42 
* MN has a pre-K program according to NIEER, but it is really supplemental funding of Head Start.  
* According to the Center for Law and Social Policy, this program started in 1997.
replace year1_nieer=1997 if statefip==27
save nieer2012, replace

* dates dataset (for Figure 1)
cumul year1_nieer, gen(x)
gen frac=x*(40/51)*100
ren year1_nieer year
egen tag=tag(year)
keep if tag
keep frac year
label var frac "Fraction of states with state-funded pre-K"
sort year
save nieer_dates_cdf, replace

cd ../..

